Subject: Re: bug#49437: [PATCH core-updates] build-system/qt: Fix build failures when
From: Maxim Cournoyer <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: Mathieu Othacehe <[email-masked]>, [email-masked]
Date: Sat, 20 Jan 2024 16:11:25 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxime Devos <[email-masked]> writes:

> Mathieu Othacehe schreef op do 08-07-2021 om 16:45 [+0200]:
>> Hey Maxime,
>> 
>> > I am unable to test this at the moment (too little substitutes
>> > for core-updates, too little processing power locally ...), but
>> > I intent to do so later.
>> 
>> I think you are missing the attached patch here.
>
> Now attached!
>
> Greetings,
> Maxime.
>
> From b9e46156e1f35303b56fbe2ed4694385b6104214 Mon Sep 17 00:00:00 2001
> From: Maxime Devos <[email-masked]>
> Date: Tue, 6 Jul 2021 10:57:49 +0200
> Subject: [PATCH core-updates] build-system/qt: Fix build failures when
>  cross-compiling.
>
> One of the features of 'qt-build-system' is that it automatically
> creates wrappers, but it needs 'bash' (or 'bash-minimal') to do
> so.  If "bin/bash" doesn't exist among the 'inputs', then
> 'search-input-file' (used by 'wrap-all-programs') will raise an
> exception.  Address this exception by adding "bash-minimal" to
> 'host-inputs' when cross-compiling.
>
> This change does not impact native compilation; the derivations
> for natively-compiled packages remain identical.
>
> * guix/build-system/qt.scm
>   (bash-for-wrappers): New procedure.
>   (lower): Add 'bash-minimal' to 'host-inputs' when cross-compiling.

I don't think our Qt packages can be already cross-built; hence there's
no current value in adding this before addressing cross-compilation of
the qt-build-system in the first place.

Also, 'guix lint' would still complain, so for now I'm opting to close
this without applying it.

-- 
Thanks,
Maxim